#!/bin/bash

SLICENAME=$2
PROJECTNAME=$1

if [ -z "$SLICENAME" ] ; then
    echo "Missing Slicename"
    echo "USAGE $0 <PROJECTNAME> <SLICENAME>"
    exit 1;
fi

if [ -z "$PROJECTNAME" ] ; then
    echo "Missing Projectname"
    echo "USAGE $0 <PROJECTNAME> <SLICENAME>"
    exit 1;
fi

echo "Performing GDCLI operation for SLICE=$SLICENAME PROJECT=$PROJECTNAME"

echo "Running List nodes command"
gdcli listnodes -s $SLICENAME -r $PROJECTNAME

echo "Installing iperf on all nodes"
gdcli run -s $SLICENAME -r $PROJECTNAME -n "node-0,node-1" -c "sudo apt-get -y update;sudo apt-get -y install iperf"

echo "Starting iperf server in daemon mode on node-0"
gdcli run -s $SLICENAME -r $PROJECTNAME -n "node-0" -c "iperf -s -D> /dev/null 2>&1"

echo "Starting iperf client on node-1" 
echo Connecting to node-0 blasting traffic at 10Gb/s for 30 seconds"
gdcli run -s $SLICENAME -r $PROJECTNAME -n "node-1" -c "iperf -t 30 -c node-0 -b 10000M

echo "Fetch graph for data collected on link at interface on node-0"
gdcli getpng -s $SLICENAME -r $PROJECTNAME  -g linkbytes -l link-0 -n node-0 -o ~/Desktop/mygraphs

echo "Open Folder $HOME/Desktop/mygraphs to view graphs just downloaded"
